# Tools

## Introduction

The tools directory contains a few R scripts to help with processing
SeaLog data. These include:

* `convert_1.5_to_2.0.R`: Converts older SeaLog v1.5 data into v2.0
  data suitable for the most recent versions of QA/QSea. The main
  difference between v1.5 and v2.0 data is that the newer format
  includes three user-specified fields, `UserSelect1`, `UserSelect2`,
  `UserText`, and `UserNumeric`.
* `read_sealog_data_no_shiny.R`: A no-Shiny version of QA/QSea. This can
  be useful for determining where QA/QSea crashed, or identifying
  particular data issues not easily found in a more graphical
  interface.

  Execute the code down to the `START here` comment, populate
  the shiny input variables listed, then run the functions that start
  with `x <- ` to go through the steps of processing the data.

  The outputs are stored in the `x` list variable. For example, the
  "User Transects" output is `x$nps_transects` and the "User
  Observations" is `x$nps_obs`.

[modeline]: # ( vim: set ft=markdown fenc=utf-8 tw=72 ts=2 sw=2 sts=2 spell spl=en: )
