library(tidyverse)
library(lubridate)
library(fs)
library(glue)

input_file <- path(
  "../../test_data/2022-05-11_heather",
  "observations_20220412_160913.csv"
)
output_file <- path(
  "../../test_data/2022-05-11_heather",
  "observations_20220412_160913_2.0.csv"
)

onefive <- read_csv(
  input_file,
  col_types = "ciccicciiiciiciccccciccccciicddcccc",
  na = "null"
)

twozero <- onefive %>%
  mutate(
    UserSelect1 = NA_character_,
    UserSelect2 = NA_character_,
    UserText = NA_character_,
    UserNumeric = NA_integer_
  ) %>%
  select(Vessel:Bin, starts_with("User"), Latitude:Comments)

write_csv(
  twozero,
  output_file,
  na = "null"
)
